"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const graphql_1 = require("graphql");
const path_1 = require("path");
const __1 = require("..");
const githuntPath = (0, path_1.resolve)(__dirname, '../../../graphql-codegen-core/githunt/');
function getDocument(name) {
    return {
        document: (0, graphql_1.parse)((0, fs_1.readFileSync)((0, path_1.join)(githuntPath, name), { encoding: 'utf-8' })),
    };
}
// eslint-disable-next-line @typescript-eslint/no-var-requires
const schema = (0, graphql_1.buildClientSchema)(require((0, path_1.join)(githuntPath, 'schema.json')));
const documents = [
    getDocument('comment-added.subscription.graphql'),
    getDocument('comment.query.graphql'),
    getDocument('comments-page-comment.fragment.graphql'),
    getDocument('current-user.query.graphql'),
    getDocument('feed-entry.fragment.graphql'),
    getDocument('feed.query.graphql'),
    getDocument('new-entry.mutation.graphql'),
    getDocument('repo-info.fragment.graphql'),
    getDocument('submit-comment.mutation.graphql'),
    getDocument('vote-buttons.fragment.graphql'),
    getDocument('vote.mutation.graphql'),
];
describe('Graphql-codegen-operations-tester Plugin', () => {
    // eslint-disable-next-line @typescript-eslint/no-explicit-any
    let output;
    beforeAll(async () => {
        output = await (0, __1.plugin)(schema, documents, {});
    });
    it('should have prepend property', async () => {
        expect(output).toHaveProperty('prepend');
    });
    it('should have content property', async () => {
        expect(output).toHaveProperty('content');
    });
    describe('content', () => {
        it('should match snapshot', async () => {
            expect(output.content).toMatchSnapshot();
        });
    });
});
